#!/bin/ksh

WORKDIR=`dirname $0`
. $WORKDIR/setenv.sh

# show usage of the command
showusage()
{
echo "Usage:"
echo "------"
echo "off | more"
echo "migrateDN.oracle.sh (dbname) (userId) (password) (hostname) (port) [jvmheapsz]"
exit 1
}

if [[ "x$1x" = "xx" || "x$2x" = "xx" || "x$3x" = "xx" || "x$4x" = "xx" || "x$5x" = "xx" ]];
then 
    showusage
fi

if [[ ! -d $WCLOGDIR/migration ]];
then
	mkdir -p $WCLOGDIR/migration
fi

database=$1
user=$2
password=$3
hostname=$4
port=$5

if [[ "x$6x" = "xx" ]];
then
	jvmheapsz=128m
else
	jvmheapsz=$6
fi

schema=$WCS_HOME/schema
log=$WCLOGDIR/migration/migrateDN.log
dodn=com.ibm.commerce.migration.tool.migrateOracleDN
. $WORKDIR/setdbenv.oracle.sh
CPM=$WCS_HOME/properties:$WCS_HOME/lib/wcsmigration.jar:$ORACLE_HOME/bin:$CLASSPATH
cd $WCS_HOME/schema
echo "populating Orgentity DN ..."
echo "-----------------------------------------------"
echo "off | more"
$ORACLE_HOME/bin/sqlplus -s $user/$password@$database < $schema/fillorgDN.sql >> $log 2>&1
echo "off | more"
echo "populating users DN ..."
echo "------------------------"

# ${JAVA_EXE?} -classpath $CPM $dodn $database  $user $password $hostname  $port >> $log 
echo ${JAVA_EXE?} -Xmx$jvmheapsz -classpath $CPM $dodn $database  $user $password $hostname  $port >> $log 2>&1
${JAVA_EXE?} -Xmx$jvmheapsz -classpath $CPM $dodn $database  $user $password $hostname  $port >> $log 2>&1

echo "Migrating DN completed. Please check migrateDN.log."
cd $WCLOGDIR/migration