#!/bin/ksh

WORKDIR=`dirname $0`
. $WORKDIR/setenv.sh

# show usage of the command
showusage()
{
echo "Usage:"
echo "------"
echo "off | more"
echo "premigrate.db2.sh (dbname) (userId) (password) (db2insthome)"
echo "premigrate.db2.sh mall db2inst1 db2inst1 /home/db2inst1/sqllib"
exit 1
}


if [[ "x$1x" = "xx"  || "x$2x" = "xx" ||  "x$3x" = "xx" || "x$4x" = "xx" ]];
then
     showusage
fi


. $4/db2profile


if [[ ! -d $WCLOGDIR/migration ]];
then
       mkdir -p $WCLOGDIR/migration
fi

database=$1
user=$2
password=$3

schema=$WCS_HOME/schema
log=$WCLOGDIR/migration/premigrate.log
prechecker=com.ibm.commerce.migration.tool.premigratechecker
. $WORKDIR/setdbenv.db2.sh
CPM=$WCS_HOME/properties:$WCS_HOME/lib/wcsmigration.jar:$CLASSPATH
cd $WCS_HOME
echo "Checking Database $database"
${JAVA_EXE?} -classpath $CPM $prechecker $database  $user $password >> $log 2>&1
echo "Checking Complete. Please refer to premigrate.log in migration directory."
cd $WCLOGDIR/migration

